%{?scl:%scl_package preupgrade-assistant-contents%{?name_suffix}}
%{!?scl:%global pkg_name %{name}}

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           %{?scl_prefix}preupgrade-assistant-contents%{?name_suffix}
Version:        0.5.13
Release:        1.0.5%{?dist}
Summary:        Set of contents created by maintainers
Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.open-scap.org/
Source0:        %{name}-%{version}.tar.gz
Source1:	template.xml
Source2:        xccdf_compose
Patch1001:	preupgrade-assistant-contents-no-variants.patch
Patch1002:	preupgrade-assistant-contents-noncentospkgs.patch
Patch1003:	preupgrade-assistant-contents-centospkgs.patch
Patch1004:	preupgrade-assistant-contents-assessment-name.patch
Patch1005:	preupgrade-assistant-contents-no-rhsm.patch
Patch1100:	preupgrade-assistant-contents-branding-common.patch
Patch1101:	preupgrade-assistant-contents-branding-backup.patch
Patch1102:	preupgrade-assistant-contents-branding-drivers.patch
Patch1103:	preupgrade-assistant-contents-branding-selinux.patch
Patch1104:	preupgrade-assistant-contents-branding-usrmgmt.patch
Patch1105:	preupgrade-assistant-contents-branding-networking.patch
Patch1106:	preupgrade-assistant-contents-branding-services.patch
Patch1107:	preupgrade-assistant-contents-branding-databases.patch
Patch1108:	preupgrade-assistant-contents-branding-others.patch
Patch1109:	preupgrade-assistant-contents-branding-storage.patch
Patch1110:	preupgrade-assistant-contents-branding-desktop.patch
Patch1111:	preupgrade-assistant-contents-branding-packages.patch
Patch1112:	preupgrade-assistant-contents-branding-system.patch
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:  %{?scl_prefix}swig 
BuildRequires:  %{?scl_prefix}libxml2-devel %{?scl_prefix}libxslt-devel %{?scl_prefix}m4 %{?scl_prefix}perl-XML-Parser
BuildRequires:  %{?scl_prefix}rpm-devel
BuildRequires:  %{?scl_prefix}libgcrypt-devel
BuildRequires:  %{?scl_prefix}pcre-devel
BuildRequires:  %{?scl_prefix}libacl-devel
BuildRequires:  %{?scl_prefix}libselinux-devel %{?scl_prefix}libcap-devel
BuildRequires:  %{?scl_prefix}libblkid-devel
BuildRequires:  %{?scl_prefix}libcurl-devel
%if %{?_with_check:1}%{!?_with_check:0}
BuildRequires:  %{?scl_prefix}perl-XML-XPath
%endif
BuildRequires:  %{?scl_prefix}preupgrade-assistant%{?_isa} >= 1.0.2-14
Requires: %{?scl_prefix}preupgrade-assistant%{?_isa} >= 1.0.2-14

%description
The package provides a set of contents used for assessment
of the source system. The contents are used by the
preupgrade-assistant package.

%prep
%setup -q -n %{name}-%{version}
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1100 -p1
%patch1101 -p1
%patch1102 -p1
%patch1103 -p1
%patch1104 -p1
%patch1105 -p1
%patch1106 -p1
%patch1107 -p1
%patch1108 -p1
%patch1109 -p1
%patch1110 -p1
%patch1111 -p1
%patch1112 -p1

%build
# Make is not needed
%if 0%{?rhel} == 6 || 0%{?fedora}
# we have to do this early as xccdf_compose resolves some paths
mv ./RHEL6_7/packages/NonRHSignedPkg ./RHEL6_7/packages/NonCentOSSignedPkg
mv ./RHEL6_7/packages/NonCentOSSignedPkg/nonrhpkg.sh ./RHEL6_7/packages/NonCentOSSignedPkg/noncentospkg.sh

# generate new all-xccdf.xml
ls -l ./RHEL6_7/all-xccdf.xml
%{_sourcedir}/xccdf_compose ./RHEL6_7
mv ./RHEL6_7-results/all-xccdf.xml ./RHEL6_7/
rm -rf ./RHEL6_7-results
%endif

%check
# Check is not needed now

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/preupgrade
mv * $RPM_BUILD_ROOT%{_datadir}/preupgrade/

%if 0%{?rhel} == 5
rm -rf $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6_7/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL{5_6,5_7}/3rdparty
%endif

%if 0%{?rhel} == 6 || 0%{?fedora}
rm -rf $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL{5_6,5_7}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6_7/3rdparty
mkdir -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6_7/common
mv $RPM_BUILD_ROOT/%{_datadir}/preupgrade/common/repo-stats/RHEL6_7/* $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7/common/
rm -rf $RPM_BUILD_ROOT/%{_datadir}/preupgrade/common

# CentOS branding
mv $RPM_BUILD_ROOT/%{_datadir}/preupgrade/RHEL6_7 $RPM_BUILD_ROOT/%{_datadir}/preupgrade/CentOS6_7
%endif

find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "*.ini" | xargs rm -f
find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "READY" | xargs rm -f

# repo-stats.tar.gz
find $RPM_BUILD_ROOT/%{_datadir}/preupgrade -name dark-matrix.log -delete

# General cleanup
find $RPM_BUILD_ROOT -name '.gitignore' -delete

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%if 0%{?rhel} == 5
%dir %{_datadir}/preupgrade/RHEL{5_6,5_7}
%{_datadir}/preupgrade/RHEL*
%dir %{_datadir}/preupgrade/RHEL{5_6,5_7}/3rdparty
%endif
%if 0%{?rhel} == 6 || 0%{?fedora}
%dir %{_datadir}/preupgrade/CentOS6_7
%{_datadir}/preupgrade/CentOS6_7/*
%dir %{_datadir}/preupgrade/CentOS6_7/3rdparty
%dir %{_datadir}/preupgrade/CentOS6_7/common
%{_datadir}/preupgrade/CentOS6_7/common/*
%endif

%changelog
* Mon Jul 28 2014 Johnny Hughes <johnny@centos.org> - 0.5.13-1.0.5
- remove -b from patch applies 
- make xccdf_compose and template.xml sources  

* Thu Jul 24 2014 Manuel Mausz <manuel@mausz.at> - 0.5.13-1.0.4
- generate all-xccdf.xml during build process
- fix postupgrade cleanup script not recognizing CentOS signed packages
- disable optional RHEL channels check
- disable RHN classic check
- massive CentOS rebranding

* Wed Jul 23 2014 Manuel Mausz <manuel@mausz.at> - 0.5.13-1.0.3
- recognize CentOS signed packages
- disable RHSM check
- disable OS addon check
- rename assessment name (RHEL6_7 -> CentOS6_7)

* Fri Jul 18 2014 Manuel Mausz <manuel@mausz.at> - 0.5.13-1.0.2
- disable OS variants check
- fix signed packages check

* Wed Jul 16 2014 Manuel Mausz <manuel@mausz.at> - 0.5.13-1.0.1
- Modify to recognize CentOS 6

* Fri Jun 06 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.13-1
- minor fixes

* Thu Jun 04 2014 Petr Hracek <phracek@redhat.com> - 0.5.12-1
- fix in usr content

* Wed Jun 04 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.11-1
- fix in iptables

* Fri May 30 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.10-1
- selinux/samba content

* Thu May 29 2014 Petr Hracek <phracek@redhat.com> - 0.5.9-1
- Add network/squid content
- Fix in luks content

* Wed May 28 2014 Petr Hracek <phracek@redhat.com> - 0.5.8-4
- Fix in initscripts
- Correct typo in AddOns

* Mon May 26 2014 Petr Hracek <phracek@redhat.com> - 0.5.8-3
- Content for luks crypted partitions (#1081035)

* Thu May 22 2014 Petr Hracek <phracek@redhat.com> - 0.5.8-2
- Fix for fixreplaced.sh script

* Thu May 22 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.8-1
- CleanPackages are part of Removed rpms.

* Wed May 21 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.7-1
- new contents: Gnome, KDE, QemuGuestAgent, pkgdowngrades, hyperv, optional-channel
- minor fixes

* Mon May 19 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.6-1
- spec file should be the same for contents and contents-users
- version.txt dropped, was not included into spec file anyway

* Mon May 19 2014 Petr Hracek <phracek@redhat.com> - 0.5.5-2
- Fix in HyperV content

* Wed May 14 2014 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.5.5-1
- New upstream version

* Mon May 05 2014 Petr Hracek <phracek@redhat.com> - 0.5.3-3
- add 3rdparty directory

* Wed Apr 30 2014 Pavel Raiskup <praiskup@redhat.com> - 0.5.3-2
- add generated repo-stats data

* Fri Apr 25 2014 Petr Hracek <phracek@redhat.com> 0.5.3-1
- HA and Cluster content

* Fri Apr 18 2014 Petr Hracek <phracek@redhat.com> 0.5.2-1
- DTS content and some fixes

* Fri Apr 18 2014 Petr Hracek <phracek@redhat.com> 0.5.0-6
- Content for check RHEL variant

* Mon Apr 07 2014 Petr Hracek <phracek@redhat.com> 0.5.0-5
- Fix in scl-collection content

* Mon Mar 31 2014 Petr Hracek <phracek@redhat.com> 0.5.0-4
- Fix in scl-collection content

* Mon Mar 31 2014 Petr Hracek <phracek@redhat.com> 0.5.0-3
- Several fixes
- Using only group.ini files

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> 0.5.0-2
- Several fixes
- subscription content
- initscript contents (general, rc_local, control)
- DNSMASQ content
- fixed bacula content and postupgrade script

* Wed Mar 19 2014 Petr Hracek <phracek@redhat.com> 0.5.0-1
- Fix for relative links in case of file tag
- Initscripts contents
- Usr mount content
- CVS, SVN, GIT content

* Mon Mar 17 2014 Petr Hracek <phracek@redhat.com> 0.4.5-1
- Fix for #1077157
- More PKI contents

* Mon Feb 10 2014 Petr Hracek <phracek@redhat.com> 0.4.3-2
- replace yaml with ini
- introduce bacula content

* Wed Dec 11 2013 Petr Hracek <phracek@redhat.com> 0.4.2-7
- Fixes for LC_ALL locales

* Tue Dec 10 2013 Petr Hracek <phracek@redhat.com> 0.4.2-6
- contents with verify option, mount points and filesystem change
- some fixes
- some corrections in bind content

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> 0.4.2-5
- contents should use correct API

* Mon Dec 09 2013 Petr Hracek <phracek@redhat.com> 0.4.2-4
- In case that check_bin does not fit then return FAILED

* Wed Dec 04 2013 Petr Hracek <phracek@redhat.com> 0.4.2-3
- description field in XML does not use any HTML tag

* Fri Nov 29 2013 Petr Hracek <phracek@redhat.com> 0.4.2-2
- group_title tag in YAML files is not needed anymore

* Fri Nov 29 2013 Petr Hracek <phracek@redhat.com> 0.4.2-1
- Bump version

* Fri Nov 29 2013 Petr Hracek <phracek@redhat.com> 0.4.1-2
- Correct package description

* Thu Nov 28 2013 Petr Hracek <phracek@redhat.com> 0.4.1-1
- Initial preupgrade-assistant-contents-users rpm
